#include <stdio.h>
#include <allegro.h>

#include "mapedit.h"   //Main hub of the game
#include "central.h"    //Central game routines
#include "startup.h"    //Game startup routines
#include "shutdown.h"   //Game shutdown routines
#include "keyboard.h"   //Keyboard handling routines
#include "sound.h"      //Sound processing routines
#include "graphics.h"   //Graphics processing routines
#include "map.h"       //Menu routines

int main()
{
   int GooBeR = 0;  // Dummy variable to keep the program looping

   SndVol = 51; // A Range from 0 to 255 in steps of 5 (or 3 for slidebar)
   MidiVol = 1; // 0 or 1 ... Off or On
   KeyWay = 0;
   PL_player.curtile = 1;
   PL_player.x = 15;
   PL_player.y = 15;


   do_config();            // Do the dos sound configuration
   do_startup();           // Startup allegro graphics and sound
   load_tiles();

   show_background();
   load_map();
   display_map();


//   do_editor();
//   textout(screen,font,"wooohoooo",5,5,COLOR_BLUE);

   do
   {
      KBD_Mapedit();         // -*- Go to the keyboard handling routines for the map editor
   } while(GooBeR==0);
}
